Bug 26049 - Replace li with span class results_summary in UNIMARC intranet XSLT
Summary: Replace li with span class results_summary in UNIMARC intranet XSLT
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-23 08:52 UTC by Fridolin Somers
Modified: 2020-10-20 20:51 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Manual merge request:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.05, 19.11.11, 19.05.16


Attachments
Bug 26049: Replace li with span class results_summary in UNIMARC intranet XSLT (20.11 KB, patch)
2020-07-23 08:59 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 26049: Replace li with span class results_summary in UNIMARC intranet XSLT (20.19 KB, patch)
2020-09-13 18:31 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26049: Replace li with span class results_summary in UNIMARC intranet XSLT (20.23 KB, patch)
2020-09-17 08:18 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2020-07-23 08:52:21 UTC
In all XSLT for record display, fields are created with <span class="results_summary> except in UNIMARC intranet where there is just <li>.
Comment 1 Fridolin Somers 2020-07-23 08:59:15 UTC
Created attachment 107223 [details] [review]
Bug 26049: Replace li with span class results_summary in UNIMARC intranet XSLT

In all XSLT for record display, fields are created with <span class="results_summary> except in UNIMARC intranet where there is just <li>.

This allows a better CSS customisation and closer code in files for OPAC and intranet.

Actually li gets diplayed with a dot at each line, we don't want this.

Test plan :
1) For each modified file run 'xsltproc file.xsl' and see there is no
   error
2) Use default XSLT in all system preferences
3) Perform a search and check display with and without patch
4) Click on a record to see details and check display with and without patch
Comment 2 Katrin Fischer 2020-09-13 18:31:44 UTC
Created attachment 110020 [details] [review]
Bug 26049: Replace li with span class results_summary in UNIMARC intranet XSLT

In all XSLT for record display, fields are created with <span class="results_summary> except in UNIMARC intranet where there is just <li>.

This allows a better CSS customisation and closer code in files for OPAC and intranet.

Actually li gets diplayed with a dot at each line, we don't want this.

Test plan :
1) For each modified file run 'xsltproc file.xsl' and see there is no
   error
2) Use default XSLT in all system preferences
3) Perform a search and check display with and without patch
4) Click on a record to see details and check display with and without patch

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Katrin Fischer 2020-09-13 18:32:57 UTC
Tested with a UNIMARC sandbox from Biblibre :)
Comment 4 Martin Renvoize 2020-09-17 08:18:35 UTC
Created attachment 110248 [details] [review]
Bug 26049: Replace li with span class results_summary in UNIMARC intranet XSLT

In all XSLT for record display, fields are created with <span class="results_summary> except in UNIMARC intranet where there is just <li>.

This allows a better CSS customisation and closer code in files for OPAC and intranet.

Actually li gets diplayed with a dot at each line, we don't want this.

Test plan :
1) For each modified file run 'xsltproc file.xsl' and see there is no
   error
2) Use default XSLT in all system preferences
3) Perform a search and check display with and without patch
4) Click on a record to see details and check display with and without patch

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2020-09-17 08:19:14 UTC
Trivial fix that brings this inline with the rest of the ecosystem.

No regressions, Passing QA
Comment 6 Jonathan Druart 2020-09-18 09:53:47 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 7 Lucas Gass 2020-10-16 13:54:47 UTC
backported to 20.05.x for 20.05.05
Comment 8 Aleisha Amohia 2020-10-20 01:53:30 UTC
backported to 19.11.x for 19.11.11
Comment 9 Victor Grousset/tuxayo 2020-10-20 20:51:10 UTC
Backported to 19.05.x branch for 19.05.16